Subject: Re: bug#47067: 28.0.50; [feature/native-comp] Crash while scrolling through dispnew.c

From: Eli Zaretskii <[email-masked]>
Date: Sun, 21 Mar 2021 11:52:11 +0200

> From: Andrea Corallo <[email-masked]>
> Cc: [email-masked]
> Date: Sun, 21 Mar 2021 08:26:45 +0000
> 
> If the .el was modified we will recompile it in 'eln-cache' and load it,
> when we do this we clean-up the stale .eln present in
> `comp-eln-load-path'.  Unfortunatelly for this case we don't do this for
> the last directory in `comp-eln-load-path' (as this is tipically
> read-only when Emacs is installed).

The cleanup didn't happen in my case, I needed to do it manually.  Is
that because of that "last directory in comp-eln-load-path" case, or
because I run Emacs uninstalled?

> > Question #2: can we somehow remove the stale .eln file in these
> > situations?
> 
> I guess we should make it work for non installed case.
> 
> be22cda7be should do this.

Thanks.  However, does this also attempt to remove stale *.eln files
that are preloaded?  Because if they are removed, older binaries which
were dumped with those stale *.eln files will be unable to start after
the cleanup, right?  It's a bit of a mess, I guess.